<table
  class="m-wire-channel--rewards"
  [ngClass]="['m-wire-channel--rewards-' + type]"
  cellspacing="0"
  cellspacing="0"
>
  <tr
    *ngFor="let reward of rewards; let i = index"
    (click)="openWireModal(reward)"
  >
    <td>
      <div class="m-wire-channel--reward-amount">
        <span *ngIf="!editing && type == 'money'"
          >{{ reward.amount || 0 | currency: 'USD':true:'1.0-0' }}+</span
        >
        <span *ngIf="!editing && type == 'points'"
          >{{ reward.amount || 0 | number }}+</span
        >

        <ng-container *ngIf="!editing && type == 'tokens'">
          <span i18n="@@WIRE__CHANNEL__TABLE__AMOUNT_OR_OVER_LABEL"
            >{{ reward.amount || 0 | number: '1.0-4' }} Tokens or Over</span
          >
        </ng-container>

        <ng-container *ngIf="editing && type == 'money'">$</ng-container>
        <input
          type="number"
          *ngIf="editing"
          [ngModel]="reward.amount"
          (ngModelChange)="setAmount(i, $event)"
          [placeholder]="getAmountPlaceholder()"
        />
        <ng-container *ngIf="type == 'points'" i18n="@@M__COMMON__POINTS_SUFFIX"
          >points</ng-container
        >
        <span *ngIf="editing && type == 'tokens'">Tokens or Over</span>

        <div class="m-wire-channel--reward-send-wire" *ngIf="!editing">
          <i class="ion-icon ion-flash"></i>
        </div>
      </div>

      <div class="m-wire-channel--reward-description">
        <p *ngIf="!editing">{{ reward.description }}</p>
        <textarea
          *ngIf="editing"
          [ngModel]="reward.description"
          (ngModelChange)="setDescription(i, $event)"
          class="m-border"
          [autoGrow]
          placeholder="Describe the reward"
          i18n-placeholder="@@WIRE__CHANNEL__TABLE__REWARD_PLACEHOLDER"
        >
        </textarea>
      </div>
    </td>
  </tr>
</table>

<div
  class="m-wire-channel--rewards--add-tier m-border"
  *ngIf="session.getLoggedInUser().guid == channel.guid"
>
  <a (click)="addTier()">
    <i class="material-icons">playlist_add</i>
    <span i18n="@@WIRE__CHANNEL__TABLE__ADD_REWARD_ACTION">Add Reward</span>
  </a>
</div>
